Lightspark browser plugin doesn't work

Reported by urxvt on 2011-09-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Lightspark
Undecided
Unassigned

Bug Description

Browser plugin doesn't work, i.e. shows only a blank space in place where the flash animation should be. The same thing happens using three different browsers. I have no other crap installed (such as nspluginviewer), so far I used only native flashplugin (64bit). Using lightspark from command line it plays fine first two examples from http://sourceforge.net/apps/trac/lightspark/wiki/WorkingSiteList

Lightspark 0.5.1 on Arch Linux 64bit. This bug also affects v0.5 and possibly older versions.

Other details:
 - mesa stack compiled from git, r600g driver
 - X server v1.11.1
 - linux kernel v3.0.3

Jani Monoses (jani) wrote :

Could you see what the command line youtube player does?

It is in git - probably we should ship it in the distro packages too
https://github.com/lightspark/lightspark/tree/master/tools

Alternately you can get more info out of the plugin if you run it like this

LIGHTSPARK_PLUGIN_LOGLEVEL=3 firefox youtube.com

Goddamn! Here's why I couldn't play it in konqueror and simillar browsers:

$ konqueror www.youtube.com
konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
konqueror(20604)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
konqueror(20604)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
konqueror(20604)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
konqueror(20604)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libnsplugin.so"
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
nspluginviewer(20651)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "/usr/lib/mozilla/plugins/liblightsparkplugin.so"
nspluginviewer(20651)/nspluginviewer (plugin): Can't create plugin class

konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libnsplugin.so"
nspluginviewer(20651)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "/usr/lib/mozilla/plugins/liblightsparkplugin.so"
nspluginviewer(20651)/nspluginviewer (plugin): Can't create plugin class

konqueror(20604)/kdecore (KLibrary) findLibraryInternal: plugins should not have a 'lib' prefix: "libkhtmlpart.so"
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id: 0x400013
QProcess: Destroyed while process is still running.

Because of the f****n nspluginviewer! If I delete $HOME/.kde4/share/kde4/services/nsplugin.desktop then the konqueror asks to download a Flash player (doesn't "see" lightspark). Opera also doesn't work. I've just installed firefox, and it works in firefox. So, this might not be a bug after all, does it?

P.S. Using those tools video played just fine.

Jani Monoses (jani) wrote :

good to know it works with the known setup

Changed in lightspark:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers